---
title: CanvasRenderingContext2D.font
slug: Web/API/CanvasRenderingContext2D/font
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Property
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>CanvasRenderingContext2D</strong></code><strong><code>.font</code></strong> property of the Canvas 2D API specifies the current text style to use when drawing text. This string uses the same syntax as the <a href="/en-US/docs/Web/CSS/font" title="en/CSS/font">CSS font</a> specifier.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ctx</em>.font = <em>value</em>;
</pre>

<h3 id="Options">Options</h3>

<dl>
 <dt><code>value</code></dt>
 <dd>A {{domxref("DOMString")}} parsed as CSS {{cssxref("font")}} value. The default font is 10px sans-serif.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_a_custom_font">Using a custom font</h3>

<p>In this example we use the <code>font</code> property to specify a custom font weight, size, and family.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

ctx.font = 'bold 48px serif';
ctx.strokeText('Hello world', 50, 100);
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Using_a_custom_font', 700, 180) }}</p>

<h3 id="Loading_fonts_with_the_CSS_Font_Loading_API">Loading fonts with the CSS Font Loading API</h3>

<p>With the help of the {{domxref("FontFace")}} API, you can explicitly load fonts before using them in a canvas.</p>

<pre class="brush: js">let f = new FontFace('test', 'url(x)');

f.load().then(function() {
  // Ready to use the font in a canvas context
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-context-2d-font", "CanvasRenderingContext2D.font")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.font")}}</p>

<h3 id="Gecko-specific_notes">Gecko-specific notes</h3>

<ul>
 <li>In Gecko-based browsers, such as Firefox, a non-standard and deprecated property <code>ctx.mozTextStyle</code> is implemented besides this property. Use <code>ctx.font</code> instead.</li>
 <li>In Gecko, when setting a system font as the value of a canvas 2D context's {{domxref("CanvasRenderingContext2D.font", "font")}} (e.g., <code>menu</code>), getting the font value used to fail to return the expected font (it returns nothing). This is fixed in Firefox's <a href="https://wiki.mozilla.org/Quantum/Stylo">Quantum/Stylo</a> parallel CSS engine, released in Firefox 57 ({{bug(1374885)}}).</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this property: {{domxref("CanvasRenderingContext2D")}}</li>
</ul>
